"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInputIds = void 0;
var _react = require("react");
var _getInstanceCount = require("../util/getInstanceCount");
var _getIdSuffix = (id, name) => {
  // Try <id> or <name> props to determine elements' id suffix
  if (id != undefined && id != '') return id;
  if (name != undefined && name != '') return name;
  // If none was passed, use global vars
  var iCount = (0, _getInstanceCount.getInstanceCount)();
  return iCount.toString();
};
var _getInputIds = (id, name, customControl) => {
  var _customControl$props;
  var idSuffix = _getIdSuffix(id, name);
  var group = "rdp-input-group-".concat(idSuffix);
  var hidden = id != undefined ? id : "rdp-hidden-".concat(idSuffix);
  var control = "rdp-form-control-".concat(idSuffix);
  if (customControl != undefined && customControl !== null && customControl !== void 0 && (_customControl$props = customControl.props) !== null && _customControl$props !== void 0 && _customControl$props.id) {
    control = customControl.props.id;
  }
  return [group, hidden, control];
};
var useInputIds = (id, name, customControl) => {
  var [inputIds, setInputIds] = (0, _react.useState)(_getInputIds(id, name, customControl));
  (0, _react.useEffect)(() => {
    setInputIds(_getInputIds(id, name, customControl));
  }, [id, name, customControl]);
  return inputIds;
};
exports.useInputIds = useInputIds;